IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[YDYB_KARDES_LISTESI]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].YDYB_KARDES_LISTESI
GO

create FUNCTION [dbo].[YDYB_KARDES_LISTESI] (@HDosyaId as Integer)  
RETURNS nvarchar(1000) AS  
BEGIN 
declare @KardesListe as nvarchar(1000), @YAS  as integer, @CINSIYET  as nvarchar(9), @HASTALIK as nvarchar(200),@Sira as integer
set @Sira=0	

SET @KardesListe = '' 
DECLARE YDYB_KARDES_CURSOR CURSOR
   FOR SELECT YAS,CINSIYET,HASTALIK FROM HYENIDOGANYOGUNBAKIMKARDESLER WHERE HDOSYAID = @HDosyaId
OPEN YDYB_KARDES_CURSOR
FETCH NEXT FROM YDYB_KARDES_CURSOR INTO @YAS,@CINSIYET,@HASTALIK
WHILE @@FETCH_STATUS = 0
BEGIN
    SET @Sira = @Sira+ 1
	SET @KardesListe = @KardesListe + cast(@Sira as nvarchar(2)) +'-) Yaş:'+cast(@YAS as nvarchar(2)) +' - Cinsiyet:' + @CINSIYET+  ' Hastalık:'+ @HASTALIK+CHAR(13)+CHAR(10)
	FETCH NEXT FROM YDYB_KARDES_CURSOR INTO @YAS,@CINSIYET,@HASTALIK
END
	IF CHARINDEX(',', ISNULL(@KardesListe,' ')) <> 0
		SET @KardesListe = LEFT(@KardesListe, LEN(@KardesListe)-1)

return @KardesListe
END
GO

--SELECT HDOSYAID, YAS,CINSIYET,HASTALIK FROM HYENIDOGANYOGUNBAKIMKARDESLER

--SELECT   dbo.[YDYB_KARDES_LISTESI](1)

